Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
why consolekit and udev-171-r8[extras] can't coexist? [solve
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4883

PostPosted: Sun Oct 21, 2012 4:38 pm    Post subject: why consolekit and udev-171-r8[extras] can't coexist? [solve Reply with quote

hello,

latest portage sync returns this:
Code:
* Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-auth/consolekit-0.4.5_p20120320-r1::gentoo, installed) pulled in by
    sys-auth/consolekit required by (x11-apps/xdm-1.1.11-r1::gentoo, installed)
    sys-auth/consolekit required by (kde-base/kdm-4.9.2::gentoo, installed)
    >=sys-auth/consolekit-0.4.5_p2012[policykit] required by (sys-auth/polkit-0.107-r1::gentoo, installed)
    >=sys-auth/consolekit-0.4.5_p2012[pam] required by (sys-auth/pambase-20120417-r1::gentoo, installed)

  (sys-fs/udev-171-r8::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-124 required by (sys-fs/multipath-tools-0.4.8-r1::gentoo, installed)
    sys-fs/udev required by (games-simulation/flightgear-2.8.0::gentoo, installed)
    sys-fs/udev required by (media-libs/mesa-9999::x11, installed)
    sys-fs/udev required by (sys-apps/util-linux-2.22.1::gentoo, installed)
    sys-fs/udev required by (kde-base/kdelibs-4.9.2::gentoo, installed)
    sys-fs/udev required by (app-misc/media-player-info-17::gentoo, installed)
    >=sys-fs/udev-171-r6[gudev] required by (sys-power/upower-0.9.18::gentoo, installed)
    sys-fs/udev required by (x11-drivers/xf86-video-ati-9999::x11, installed)
    >=sys-fs/udev-171-r5[gudev,hwdb] required by (sys-fs/udisks-1.0.4-r2::gentoo, installed)
    >=sys-fs/udev-150 required by (x11-base/xorg-server-1.13.0::gentoo, installed)
    >=sys-fs/udev-143 required by (dev-libs/libatasmart-0.19::gentoo, installed)
    sys-fs/udev required by (x11-drivers/xf86-video-intel-2.20.10::gentoo, installed)
    sys-fs/udev required by (sys-block/gparted-0.13.1::gentoo, installed)
    >=sys-fs/udev-151-r4 required by (sys-fs/lvm2-2.02.88::gentoo, installed)
    >=sys-fs/udev-164-r2 required by (app-admin/system-config-printer-common-1.3.11-r1::gentoo, installed)
    >=sys-fs/udev-114 required by (net-print/hplip-3.12.10a::gentoo, installed)
    sys-fs/udev required by (virtual/dev-manager-0::gentoo, installed)
    >=sys-fs/udev-142 required by (media-video/vlc-2.0.4::gentoo, installed)
    >=sys-fs/udev-145 required by (app-emulation/libvirt-0.10.2-r1::gentoo, installed)
    >=sys-fs/udev-146-r1 required by (sys-auth/consolekit-0.4.5_p20120320-r1::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



Estimated update time: 12 minutes.


does anyone have an idea why sys-fs/udev-171-r8[extras] and sys-auth/consolekit-0.4.5_p20120320-r1 cannot coexist on the same system?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball


Last edited by DaggyStyle on Sun Oct 21, 2012 6:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2350
Location: Austria

PostPosted: Sun Oct 21, 2012 4:46 pm    Post subject: Reply with quote

I've had them coexist until latest sync, but maybe something was discovered - changelog is silent though.

Whatever, I said bye to [extras] and there went gobject-introspection the same way, so I'm happy. :)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
VoidMage
Watchman
Watchman


Joined: 14 Oct 2006
Posts: 5268

PostPosted: Sun Oct 21, 2012 5:43 pm    Post subject: Reply with quote

genstorm wrote:
Whatever, I said bye to [extras] and there went gobject-introspection the same way, so I'm happy. :)

:roll:

Anyway, I thought that this block was old news.
sys-auth/consolekit-0.4.5_p20120320 provides udev-acl, cause that program, formerly provided by udev, was removed from it shortly before udev was merged into systemd (one of the results of that could be observed in this thread). IIRC, in udev 171 'extras' useflag was already split into several other for finer control.
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4883

PostPosted: Sun Oct 21, 2012 5:53 pm    Post subject: Reply with quote

so the extra flag is irrelevant when it comes to sys-auth/consolekit-0.4.5_p20120320 as it includes the same functionalities?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2350
Location: Austria

PostPosted: Sun Oct 21, 2012 5:57 pm    Post subject: Reply with quote

Whatever depended on udev[extras] previously, it is gone.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4883

PostPosted: Sun Oct 21, 2012 6:06 pm    Post subject: Reply with quote

good to know, closing.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum